Package org.eclipse.emf.cdo.ui

## Class OverlayImage

- java.lang.Object
- - org.eclipse.emf.edit.provider.ComposedImage
  - - org.eclipse.emf.cdo.ui.OverlayImage

-     public final class OverlayImage
      extends ComposedImage

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ComposedImage

      `ComposedImage.Point, ComposedImage.Size`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.edit.provider.ComposedImage

      `images, imageSizes`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OverlayImage​(java.lang.Object image, java.lang.Object overlayImage, int x, int y)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<ComposedImage.Point>` | `getDrawPoints​(ComposedImage.Size size)` |

    - ### Methods inherited from class org.eclipse.emf.edit.provider.ComposedImage

      `equals, getImages, getSize, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OverlayImage

          public OverlayImage​(java.lang.Object image,
                              java.lang.Object overlayImage,
                              int x,
                              int y)

  - ### Method Detail

    - #### getDrawPoints

          public java.util.List<ComposedImage.Point> getDrawPoints​(ComposedImage.Size size)

      Overrides:
        `getDrawPoints` in class `ComposedImage`